@using Jones.AspNetCore.Utils
@inherits JonesComponentBase

<div @attributes="@AdditionalAttributes" class="@Class" data-accordion-target="#@BodyId" aria-controls="@BodyId">
    @if (Title != null)
    {
        <span>@Title</span>
    }
    else
    {
        @ChildContent
    }
    
    <svg data-accordion-icon class="w-6 h-6 rotate-180 shrink-0" fill="currentColor" viewBox="0 0 20 20" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" d="M5.293 7.293a1 1 0 011.414 0L10 10.586l3.293-3.293a1 1 0 111.414 1.414l-4 4a1 1 0 01-1.414 0l-4-4a1 1 0 010-1.414z" clip-rule="evenodd"></path></svg>
</div>

@code {
    private string? Class => CssBuilder.Default("flex items-center justify-between px-4 py-2 text-lg font-medium text-gray-500 dark:text-gray-400 hover:bg-gray-100 dark:hover:bg-gray-800")
        .AddClassFromAttributes(AdditionalAttributes)
        .Build();
    
    [Parameter]
    public string BodyId { get; set; } = null!;

    [Parameter]
    public string? Title { get; set; }
    
    [Parameter]
    public RenderFragment? ChildContent { get; set; }
}